zenilib: TSymbolTableLevel Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
TSymbolTableLevel Class Reference

`#include <SymbolTable.h>`

## Public Types

typedef tLevel::const_iterator | const_iterator
typedef std::pair < tLevel::iterator, bool > | tInsertResult
typedef TMap< TString, TSymbol * > | tLevel
typedef const tLevel::value_type | tLevelPair

## Public Member Functions

| TSymbolTableLevel ()
| ~TSymbolTableLevel ()
const_iterator | begin () const
void | dump (TInfoSink &infoSink) const
const_iterator | end () const
TSymbol * | find (const TString &name) const
bool | insert (const TString &name, TSymbol &symbol)
bool | insert (TSymbol &symbol)
| POOL_ALLOCATOR_NEW_DELETE ()
void | relateToExtension (const char *name, const TString &ext)
void | relateToOperator (const char *name, TOperator op)

## Protected Attributes

tLevel | level

## Detailed Description

Definition at line 183 of file SymbolTable.h.

## Member Typedef Documentation

typedef tLevel::const_iterator TSymbolTableLevel::const_iterator

Definition at line 186 of file SymbolTable.h.

typedef std::pair<tLevel::iterator, bool> TSymbolTableLevel::tInsertResult

Definition at line 188 of file SymbolTable.h.

typedef TMap<TString, TSymbol*> TSymbolTableLevel::tLevel

Definition at line 185 of file SymbolTable.h.

typedef const tLevel::value_type TSymbolTableLevel::tLevelPair

Definition at line 187 of file SymbolTable.h.

## Constructor & Destructor Documentation

TSymbolTableLevel::TSymbolTableLevel | ( |  | ) |

inline

Definition at line 191 of file SymbolTable.h.

TSymbolTableLevel::~TSymbolTableLevel | ( |  | ) |

Definition at line 171 of file SymbolTable.cpp.

## Member Function Documentation

const_iterator TSymbolTableLevel::begin | ( |  | ) | const

inline

Definition at line 219 of file SymbolTable.h.

void TSymbolTableLevel::dump | ( | TInfoSink & | infoSink | ) | const

Definition at line 144 of file SymbolTable.cpp.

const_iterator TSymbolTableLevel::end | ( |  | ) | const

inline

Definition at line 224 of file SymbolTable.h.

TSymbol* TSymbolTableLevel::find | ( | const TString & | name | ) | const

inline

Definition at line 210 of file SymbolTable.h.

bool TSymbolTableLevel::insert | ( | const TString & | name,
|  | TSymbol & | symbol
| ) |  |

inline

Definition at line 194 of file SymbolTable.h.

Referenced by insert().

bool TSymbolTableLevel::insert | ( | TSymbol & | symbol | ) |

inline

Definition at line 205 of file SymbolTable.h.

References TSymbol::getMangledName(), and insert().

TSymbolTableLevel::POOL_ALLOCATOR_NEW_DELETE | ( |  | ) |

void TSymbolTableLevel::relateToExtension | ( | const char * | name,
|  | const TString & | ext
| ) |  |

Definition at line 201 of file SymbolTable.cpp.

References TSymbol::getName(), and TSymbol::relateToExtension().

void TSymbolTableLevel::relateToOperator | ( | const char * | name,
|  | TOperator | op
| ) |  |

Definition at line 183 of file SymbolTable.cpp.

References TFunction::relateToOperator().

## Member Data Documentation

tLevel TSymbolTableLevel::level

protected

Definition at line 234 of file SymbolTable.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/SymbolTable.h
- zenilib/jni/external/angle/src/compiler/SymbolTable.cpp